/**************************************************************************/
/*                                                                        */
/*  Thibaut Balabonski, Sylvain Conchon, Jean-Christophe Filliâtre,       */
/*  Kim Nguyen, Laurent Sartre                                            */
/*                                                                        */
/*  Informatique - MP2I/MPI - CPGE 1re et 2e années.                      */
/*  Cours et exercices corrigés. Éditions Ellipses, 2022.                 */
/*                                                                        */
/*  https://www.informatique-mpi.fr/                                      */
/*                                                                        */
/**************************************************************************/

// Tableau redimensionnable (contenant des entiers)

#include "prelude.h"

#ifndef VECTOR
#define VECTOR

typedef struct Vector vector;

vector *vector_create(int capacity);
  // attention : la taille initiale vaut 0
  // utiliser resize ensuite si on veut un tableau d'une certaine taille
int vector_size(vector *v);
void vector_resize(vector *v, int s);
int vector_get(vector *v, int i);
void vector_set(vector *v, int i, int x);

void vector_push(vector *v, int x);
int vector_pop(vector *v);
int vector_top(vector *v);

void vector_delete(vector *v);

#endif
